Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.dnd
Class TransferData

    java.lang.Object
      org.eclipse.swt.dnd.TransferData

public class TransferData
extends Object

The `TransferData` class is a platform specific data structure for describing the type and the contents of data being converted by a transfer agent.

As an application writer, you do not need to know the specifics of TransferData. TransferData instances are passed to a subclass of Transfer and the Transfer object manages the platform specific issues. You can ask a Transfer subclass if it can handle this data by calling Transfer.isSupportedType(transferData).

You should only need to become familiar with the fields in this class if you are implementing a Transfer subclass and you are unable to subclass the ByteArrayTransfer class.

Field Summary
`org.eclipse.swt.internal.ole.win32.FORMATETC` | `formatetc` The formatetc structure is a generalized data transfer format, enhanced to encompass a target device, the aspect, or view of the data, and a storage medium.
`int` | `pIDataObject` The pIDataObject is the address of an IDataObject OLE Interface which provides access to the data associated with the transfer.
`int` | `result` The result field contains the result of converting a java data type into a platform specific value.
`org.eclipse.swt.internal.ole.win32.STGMEDIUM` | `stgmedium` The stgmedium structure is a generalized global memory handle used for data transfer operations.
`int` | `type` The type is a unique identifier of a system format or user defined format.

Constructor Summary
`TransferData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    public int type

  The type is a unique identifier of a system format or user defined format. (Warning: This field is platform dependent)

### formatetc

    public org.eclipse.swt.internal.ole.win32.FORMATETC formatetc

  The formatetc structure is a generalized data transfer format, enhanced to encompass a target device, the aspect, or view of the data, and a storage medium. (Warning: This field is platform dependent)

### stgmedium

    public org.eclipse.swt.internal.ole.win32.STGMEDIUM stgmedium

  The stgmedium structure is a generalized global memory handle used for data transfer operations. (Warning: This field is platform dependent)

### result

    public int result

  The result field contains the result of converting a java data type into a platform specific value. (Warning: This field is platform dependent)

  The value of result is 1 if the conversion was successful. The value of result is 0 if the conversion failed.

### pIDataObject

    public int pIDataObject

  The pIDataObject is the address of an IDataObject OLE Interface which provides access to the data associated with the transfer. (Warning: This field is platform dependent)

Constructor Detail

### TransferData

    public TransferData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.